> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/by-pillar/global-inventory-hub/stock/stock-updates.md).

# Stock updates

Stocks represent items in a facility and carry information on how much of an article is present as well as metadata and operational data. Stocks are updated when their value, the reservations placed on them, or any other data changes.

## Stock update overview

The table below gives an overview of all actions triggering stock updates in fulfillmenttools.

{% hint style="info" %}
Not all stock updates are emitted immediately. Some updates are processed asynchronously by background jobs. For inventory reservations, the corresponding stock change event can be delayed by up to one scheduler cycle (approximately 60 seconds).
{% endhint %}

<table data-full-width="false"><thead><tr><th width="117"></th><th>Reservation +</th><th>Reservation -</th><th width="92.2265625">Stock +</th><th width="89.1796875">Stock -</th><th width="91.39453125">Expected stock +</th><th width="103.1953125">Expected stock -</th><th>Events</th></tr></thead><tbody><tr><td>Order assigned to facility</td><td>✔️</td><td></td><td></td><td></td><td></td><td></td><td><code>INVENTORY_FACILITY _STOCK_CHANGED</code></td></tr><tr><td>Order canceled / obsolete, / rerouted</td><td></td><td>✔️</td><td></td><td></td><td></td><td></td><td><code>INVENTORY_FACILITY _STOCK_CHANGED</code></td></tr><tr><td>Purchase order created</td><td></td><td></td><td></td><td></td><td>✔️</td><td></td><td><code>INBOUND_PROCESS_ PURCHASE_ORDER_ CREATED</code></td></tr><tr><td>Receipt was finished</td><td></td><td></td><td>✔️</td><td></td><td></td><td>✔️</td><td><code>INBOUND_DELIVERY_ RECEIVED,</code><br><code>INVENTORY_ STOCKS_CREATED,</code><br><code>INVENTORY_ STOCKS_VALUE_ CHANGED</code></td></tr><tr><td>Interfacility transfer arrives</td><td>✔️<br></td><td></td><td>✔️<br></td><td></td><td></td><td>✔️</td><td><code>INVENTORY_FACILITY _STOCK_CHANGED,</code><br><code>INBOUND_DELIVERY_ RECEIVED,</code><br><code>INVENTORY_ STOCKS_CREATED,</code><br><code>INVENTORY_ STOCKS_VALUE_ CHANGED</code></td></tr><tr><td>Purchase order canceled</td><td></td><td></td><td></td><td></td><td></td><td>✔️</td><td><code>INBOUND_PROCESS_PURCHASE_ORDER_CANCELED</code></td></tr><tr><td>Pick job closed</td><td></td><td>✔️*</td><td>✔️*</td><td>✔️</td><td></td><td></td><td><code>INVENTORY_FACILITY _STOCK_CHANGED,</code><br><code>INVENTORY_ STOCKS_CREATED,</code><br><code>INVENTORY_ STOCKS_VALUE_ CHANGED,</code><br><code>INVENTORY_ STOCKS_DELETED</code></td></tr><tr><td>Pick job restowed</td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr><tr><td>Pick job restarted</td><td>✔️</td><td></td><td>✔️*</td><td></td><td></td><td></td><td><code>INVENTORY_FACILITY _STOCK_CHANGED,</code><br><code>INVENTORY_ STOCKS_CREATED,</code><br><code>INVENTORY_ STOCKS_VALUE_ CHANGED</code></td></tr><tr><td>Handover job closed</td><td></td><td>✔️**</td><td></td><td>✔️**</td><td></td><td></td><td><code>INVENTORY_FACILITY _STOCK_CHANGED,</code><br><code>INVENTORY_ STOCKS_DELETED,</code><br><code>INVENTORY_ STOCKS_VALUE_CHANGED</code></td></tr><tr><td>Pick job short picked</td><td></td><td></td><td></td><td>✔️***</td><td></td><td></td><td><code>INVENTORY_ STOCKS_DELETED,</code><br><code>INVENTORY_ STOCKS_VALUE_CHANGED,</code><br><code>INVENTORY_FACILITY _STOCK_CHANGED</code></td></tr><tr><td>Stow job line item taken</td><td></td><td></td><td>✔️</td><td>✔️</td><td></td><td></td><td><code>INVENTORY_ STOCKS_CREATED,</code><br><code>INVENTORY_ STOCKS_VALUE_ CHANGED,</code><br><code>INVENTORY_ STOCKS_DEL</code></td></tr><tr><td>Stow job line item stowed</td><td></td><td></td><td>✔️</td><td>✔️</td><td></td><td></td><td><code>INVENTORY_ STOCKS_CREATED,</code><br><code>INVENTORY_ STOCKS_VALUE_ CHANGED,</code><br><code>INVENTORY_ STOCKS_DELETED</code></td></tr></tbody></table>

\* Only if "Is [outboundStockConfiguration](/documentation/by-pillar/global-inventory-hub/configurations.md#outbound-stock-configuration).trackOutboundStock true\
AND outboundStockConfiguration.clearTrigger.event =\
"handoverjob-handed-over\_event-v1" is false

\*\* Only if "Is [outboundStockConfiguration](/documentation/by-pillar/global-inventory-hub/configurations.md#outbound-stock-configuration).trackOutboundStock true\
AND outboundStockConfiguration.clearTrigger.event =\
"handoverjob-handed-over\_event-v1" is true

\*\*\* Only if [facilityStockConfiguration.shortpick](/documentation/by-pillar/global-inventory-hub/configurations.md#short-pick-configuration) config is active


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/by-pillar/global-inventory-hub/stock/stock-updates.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
